[arch-commits] Commit in squid/trunk (PKGBUILD fix-for-new-cap-headers.patch)

Kevin Piché kevin at archlinux.org
Mon Nov 2 10:59:11 EST 2009


    Date: Monday, November 2, 2009 @ 10:59:10
  Author: kevin
Revision: 57846

Added missing patch.

Added:
  squid/trunk/fix-for-new-cap-headers.patch
Modified:
  squid/trunk/PKGBUILD

-------------------------------+
 PKGBUILD                      |    7 +++----
 fix-for-new-cap-headers.patch |   14 ++++++++++++++
 2 files changed, 17 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-02 15:46:25 UTC (rev 57845)
+++ PKGBUILD	2009-11-02 15:59:10 UTC (rev 57846)
@@ -21,13 +21,12 @@
          'd213b0cc1db72b749bb8c88716fdab39'
          '81f9a446d143f42c6a3f30304e91c39f'
          '270977cdd9b47ef44c0c427ab9034777'
-         '5e17df989e2a74e869790c066f61225b'
-         '315eea1079de827dd7eb94be2470132f')
+         '5e17df989e2a74e869790c066f61225b')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
-  patch -Np1 -i ${srcdir}/squid-makefiles.patch
-  patch -Np0 -i ${srcdir}/fix-for-new-cap-headers.patch
+  patch -Np1 -i ${srcdir}/squid-makefiles.patch || return 1
+  patch -Np0 -i ${srcdir}/fix-for-new-cap-headers.patch || return 1
 
   ./configure --prefix=/usr --datadir=/usr/share/squid \
       --sysconfdir=/etc/squid --libexecdir=/usr/lib/squid \

Added: fix-for-new-cap-headers.patch
===================================================================
--- fix-for-new-cap-headers.patch	                        (rev 0)
+++ fix-for-new-cap-headers.patch	2009-11-02 15:59:10 UTC (rev 57846)
@@ -0,0 +1,14 @@
+--- src/tools.c.orig	2009-11-02 10:54:49.000000000 -0500
++++ src/tools.c	2009-11-02 10:55:05.000000000 -0500
+@@ -44,9 +44,9 @@
+ #if HAVE_SYS_CAPABILITY_H
+ #undef _POSIX_SOURCE
+ /* Ugly glue to get around linux header madness colliding with glibc */
+-#define _LINUX_TYPES_H
++/*#define _LINUX_TYPES_H*/
+ #define _LINUX_FS_H
+-typedef uint32_t __u32;
++/*typedef uint32_t __u32;*/
+ #include <sys/capability.h>
+ #endif
+ #endif



More information about the arch-commits mailing list